cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/sponsors/{id}/podcasts?limit=25"{
"data": [
{
"ad_count": 123,
"episode_count": 123,
"podcast": {
"id": "<string>",
"title": "<string>",
"best_rank": {
"captured_at": "2023-11-07T05:31:56Z",
"chart_type": "top_podcasts",
"rank": 123,
"source": "apple",
"category_slug": "<string>",
"country": "<string>"
},
"image_url": "<string>",
"popularity": 123,
"publisher": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"slug": "<string>"
},
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Podcast Advertising
List podcasts for a sponsor
Returns a paginated list of podcasts where the sponsor advertises, ordered by the number of episodes featuring the sponsor.
GET
/
v1
/
podcasts
/
advertising
/
sponsors
/
{id}
/
podcasts
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/sponsors/{id}/podcasts?limit=25"{
"data": [
{
"ad_count": 123,
"episode_count": 123,
"podcast": {
"id": "<string>",
"title": "<string>",
"best_rank": {
"captured_at": "2023-11-07T05:31:56Z",
"chart_type": "top_podcasts",
"rank": 123,
"source": "apple",
"category_slug": "<string>",
"country": "<string>"
},
"image_url": "<string>",
"popularity": 123,
"publisher": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"slug": "<string>"
},
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Sponsor ID, company ID, company domain, or company slug
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Only include ads from episodes published on or after this ISO 8601 date or date-time
Example:
"2025-01-01T00:00:00Z"
Only include ads from episodes published before this ISO 8601 date or date-time
Example:
"2026-01-01T00:00:00Z"
Was this page helpful?